Manifest-Version: 1.0
Bnd-LastModified: 1754080583622
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Security Service Access Policy Service
Bundle-SymbolicName: com.liferay.portal.security.service.access.policy
 .service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.38.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.counter.kernel.service;version="2.2",com.l
 iferay.expando.kernel.model;version="6.0",com.liferay.expando.kernel.
 util;version="5.0",com.liferay.exportimport.kernel.lar;version="5.0",
 com.liferay.osgi.util;version="2.3",com.liferay.petra.function;versio
 n="1.5",com.liferay.petra.lang;version="1.3",com.liferay.petra.sql.ds
 l;version="1.2",com.liferay.petra.sql.dsl.query;version="2.0",com.lif
 eray.petra.string;version="1.7",com.liferay.portal.aop;version="1.0",
 com.liferay.portal.configuration.metatype.bnd.util;version="3.0",com.
 liferay.portal.kernel.bean;version="10.1",com.liferay.portal.kernel.c
 onfiguration;version="7.0",com.liferay.portal.kernel.dao.db;version="
 14.0",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.po
 rtal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exceptio
 n;version="13.3",com.liferay.portal.kernel.json;version="12.1",com.li
 feray.portal.kernel.log;version="8.0",com.liferay.portal.kernel.model
 ;version="30.4",com.liferay.portal.kernel.model.impl;version="7.4",co
 m.liferay.portal.kernel.module.configuration;version="2.1",com.lifera
 y.portal.kernel.module.framework.service;version="1.0",com.liferay.po
 rtal.kernel.search;version="20.2",com.liferay.portal.kernel.security.
 access.control;version="2.0",com.liferay.portal.kernel.security.auth;
 version="6.1",com.liferay.portal.kernel.security.auth.verifier;versio
 n="2.0",com.liferay.portal.kernel.security.permission;version="7.0",c
 om.liferay.portal.kernel.security.permission.resource;version="2.3",c
 om.liferay.portal.kernel.security.service.access.policy;version="1.1"
 ,com.liferay.portal.kernel.service;version="25.1",com.liferay.portal.
 kernel.service.http;version="1.0",com.liferay.portal.kernel.service.p
 ersistence;version="22.1",com.liferay.portal.kernel.service.persisten
 ce.impl;version="4.1",com.liferay.portal.kernel.settings;version="5.0
 ",com.liferay.portal.kernel.settings.definition;version="2.0",com.lif
 eray.portal.kernel.systemevent;version="6.2",com.liferay.portal.kerne
 l.transaction;version="8.1",com.liferay.portal.kernel.upgrade;version
 ="21.2",com.liferay.portal.kernel.util;version="63.0",com.liferay.por
 tal.kernel.uuid;version="6.2",com.liferay.portal.security.service.acc
 ess.policy.configuration;version="1.0",com.liferay.portal.security.se
 rvice.access.policy.constants;version="1.2",com.liferay.portal.securi
 ty.service.access.policy.exception;version="1.0",com.liferay.portal.s
 ecurity.service.access.policy.model;version="3.1",com.liferay.portal.
 security.service.access.policy.service;version="1.6",com.liferay.port
 al.security.service.access.policy.service.persistence;version="2.1",c
 om.liferay.portal.upgrade.registry;version="5.0",com.liferay.portal.u
 til;version="52.0",com.liferay.portal.verify,javax.sql,org.osgi.frame
 work;version="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Security
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.0.0
Liferay-Service: true
Private-Package: com.liferay.portal.security.service.access.policy.int
 ernal,com.liferay.portal.security.service.access.policy.internal.conf
 iguration.definition,com.liferay.portal.security.service.access.polic
 y.internal.model.listener,com.liferay.portal.security.service.access.
 policy.internal.security.permission.resource,com.liferay.portal.secur
 ity.service.access.policy.internal.upgrade.registry,com.liferay.porta
 l.security.service.access.policy.internal.upgrade.v3_0_0.util,com.lif
 eray.portal.security.service.access.policy.internal.verify,com.lifera
 y.portal.security.service.access.policy.model.impl,com.liferay.portal
 .security.service.access.policy.service.base,com.liferay.portal.secur
 ity.service.access.policy.service.http,com.liferay.portal.security.se
 rvice.access.policy.service.impl,com.liferay.portal.security.service.
 access.policy.service.persistence.impl,com.liferay.portal.security.se
 rvice.access.policy.service.persistence.impl.constants,resource-actio
 ns
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.dao.orm.ArgumentsR
 esolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.model.ModelListener";u
 ses:="com.liferay.portal.kernel.model",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.security.access.control.AccessCont
 rolPolicy";uses:="com.liferay.portal.kernel.security.access.control",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.secu
 rity.permission.resource.ModelResourcePermission";uses:="com.liferay.
 portal.kernel.security.permission.resource",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.security.permission.resource.
 PortletResourcePermission";uses:="com.liferay.portal.kernel.security.
 permission.resource",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.security.service.access.policy.ServiceAccessPolicyMa
 nager";uses:="com.liferay.portal.kernel.security.service.access.polic
 y",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.s
 ettings.definition.ConfigurationPidMapping";uses:="com.liferay.portal
 .kernel.settings.definition",osgi.service;objectClass:List<String>="c
 om.liferay.portal.security.service.access.policy.service.persistence.
 SAPEntryPersistence";uses:="com.liferay.portal.security.service.acces
 s.policy.service.persistence",osgi.service;objectClass:List<String>="
 com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses:="co
 m.liferay.portal.upgrade.registry",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.verify.VerifyProcess";uses:="com.liferay.port
 al.verify",osgi.service;objectClass:List<String>="com.liferay.portal.
 security.service.access.policy.service.SAPEntryLocalService",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.security.service.ac
 cess.policy.service.SAPEntryService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cou
 nter.kernel.service.CounterLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.configuration.Con
 figuration)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.Finder
 Cache)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.module.configura
 tion.ConfigurationProvider)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.security.permission.resource.M
 odelResourcePermission)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.security.permission.resource.Portl
 etResourcePermission)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.CompanyLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.ResourceLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.ResourcePermissi
 onLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.RoleLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.UserLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.uuid.PortalUUID)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.security.service
 .access.policy.service.SAPEntryLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.security.service.acc
 ess.policy.service.SAPEntryService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.security.service.access.polic
 y.service.persistence.SAPEntryPersistence)";effective:=active,osgi.se
 rvice;filter:="(objectClass=javax.sql.DataSource)";effective:=active,
 osgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.
 0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1
 .8))"
Service-Component: OSGI-INF/com.liferay.portal.security.service.access
 .policy.internal.SAPAccessControlPolicy.xml,OSGI-INF/com.liferay.port
 al.security.service.access.policy.internal.ServiceAccessPolicyManager
 Impl.xml,OSGI-INF/com.liferay.portal.security.service.access.policy.i
 nternal.configuration.definition.SAPCompanyServiceConfigurationPidMap
 ping.xml,OSGI-INF/com.liferay.portal.security.service.access.policy.i
 nternal.model.listener.PasswordPolicyModelListener.xml,OSGI-INF/com.l
 iferay.portal.security.service.access.policy.internal.security.permis
 sion.resource.SAPEntryModelResourcePermission.xml,OSGI-INF/com.lifera
 y.portal.security.service.access.policy.internal.security.permission.
 resource.SAPPortletResourcePermission.xml,OSGI-INF/com.liferay.portal
 .security.service.access.policy.internal.upgrade.registry.SAPServiceU
 pgradeStepRegistrator.xml,OSGI-INF/com.liferay.portal.security.servic
 e.access.policy.internal.verify.SAPServiceVerifyProcess.xml,OSGI-INF/
 com.liferay.portal.security.service.access.policy.service.impl.SAPEnt
 ryLocalServiceImpl.xml,OSGI-INF/com.liferay.portal.security.service.a
 ccess.policy.service.impl.SAPEntryServiceImpl.xml,OSGI-INF/com.lifera
 y.portal.security.service.access.policy.service.persistence.impl.SAPE
 ntryModelArgumentsResolver.xml,OSGI-INF/com.liferay.portal.security.s
 ervice.access.policy.service.persistence.impl.SAPEntryPersistenceImpl
 .xml
Tool: Bnd-5.3.0.202102221516

